@echo off

rem Licensed Materials - Property of IBM
rem 5648-AE1  
rem (c) Copyright IBM Corp. 2014.
rem Version:1.10
rem *--------------------------------------------------------*
rem |                                                        |
rem |  1) Use the variable baseparm to improve readability   |
rem |     of the script                                      |
rem |  2) The actual command  and it parameters are entered  |
rem |     as the positional parameters %1 %2 %3 %4           |
rem |                                                        |
rem *--------------------------------------------------------*


SET scriptDir=%~dp0
SET launchDir=%CD%

cd %scriptDir%

set javaCP=WAVECommon110.jar;log4j-1.2.16.jar;mariadb-java-client-1.1.1.jar;jdom.jar;commons-collections-3.2.jar;commons-dbcp-1.2.2.jar;commons-pool-1.4.jar;jsch-0.1.42.jar;WAVECLI110.jar
set baseparms=-u user -p pass -bts BTS_IP -tvp TVP_NAME


if "%1"=="?" (
set baseparms=
)

java -cp %javaCP% com.CSL.WAVE.CLI.WAVECLI %baseparms% %1 %2 %3 %4

cd %launchDir%

echo.

